# Read Bookable Event

> **BETA**

#### Description
Read a Bookable Event for the application.

#### URL format
```
{data_center_url}/v1/bookable_events/{bookable_event_id}
```

#### Example Request
```http
GET /v1/bookable_events/{bookable_event_id} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "bookable_event_id": "83hi8qhfiaif",
  "start": "2026-04-20T15:30:00Z",
  "end": "2026-04-20T17:00:00Z",
  "status": "confirmed",
  "registration": {
    "capacity": 5,
    "registered_count": 1,
    "total_count": 2,
    "registrations": [
      {
        "registration_id": "328746",
        "status": "accepted",
        "metadata": {
          "name": "Lashmi Sundar"
        }
      },
      {
        "registration_id": "247629",
        "status": "pending",
        "metadata": {
          "name": "Sarah Overly"
        }
      }
    ],
    "pages": {
      "current": 1,
      "total": 2,
      "next_page": "https://api.cronofy.com/v1/bookable_events/83hi8qhfiaif/registrations/pages/08a07b034306679e"
    }
  }
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `bookable_event_id` *(required)*

Your application's unique identifier for the Bookable Event as a [`String`](/developers/api/data-types/index.md).

#### Response parameters
##### `bookable_event_id`

Your application's unique identifier for the Bookable Event as a [`String`](/developers/api/data-types/index.md).

##### `start`

The `start` time as a ISO8601 UTC [`Time`](/developers/api/data-types/index.md).

##### `end`

The `end` time is as a ISO8601 UTC [`Time`](/developers/api/data-types/index.md).

##### `status`

A [`String`](/developers/api/data-types/index.md) status for the event. Will be one of

- `confirmed`

- `cancelled`

##### `registration.capacity`

An [`Integer`](/developers/api/data-types/index.md) describing the maximum number of registrations that can be accepted by the Bookable Event.

A `null` value, the default, indicates that an unlimited number of registrations can be added to the Bookable Event.

##### `registration.registered_count`

An [`Integer`](/developers/api/data-types/index.md) describing the current number of registrations that for the Bookable Event that are do not have a status of `declined` or `removed`.

##### `registration.total_count`

An [`Integer`](/developers/api/data-types/index.md) describing the total number of registrations for the Bookable Event including `removed` and `declined`.

##### `registration.registrations`

An `Array` of Registration objects. See [Upsert Registration endpoint docs](/developers/api/scheduling/bookable-events/registrations/upsert/index.md) for details.

##### `registration.pages`

An object that will be present if the number of pages of registrations exceeds one.



---
[Read in HTML](/developers/api/scheduling/bookable-events/read/)